Memperbaiki MySql: ERROR 1524 (HY000): Plugin ‘unix_socket’ is not loaded mysql di Ubuntu

Baru saja saya meng-upgrade Mariadb dari versi 10.1 ke 10.3 di Ubuntu 16.04 LTS. Tujuan upgrade agar table database mendukung utf8mb4 dengan emoji seperti ini 😀. Untuk upgrade berjalan dengan normal, hanya saja ketika saya melakukan perintah $ sudo mysql -u root terjadi galat seperti berikut:

Read more “Memperbaiki MySql: ERROR 1524 (HY000): Plugin ‘unix_socket’ is not loaded mysql di Ubuntu”

Menjalankan Multi PHP di Ubuntu 16.04 dan 18.04

Meskipun saat ini PHP sudah memasuki versi 7, namun terkadang adakalanya kita masih membutuhkan versi sebelum, guna untuk menjalankan beberapa aplikasi yang memang belum/tidak mendukung PHPv7.x. Seperti kasus di kantor saya, masih menggunakan Magento 1, yang mana ia tidak mendukung PHPv7.x. Saat ini saya menggunakan Ubuntu 18.04, dan pada repositori resmi hanya tersedia PHPv7.2, mau tidak-mau saya harus memasang php5.6 agar Magento dapat berjalan dengan sebagai mana mestinya.
Read more “Menjalankan Multi PHP di Ubuntu 16.04 dan 18.04”

Memasang FortiClient di Ubuntu 18.04 LTS

Di kantor ketika saya hendak memasuki server, diwajibkan menggunakan VPN. Untuk terkoneksi VPN kami menggunakan FortiClient. Sangat mudah, cukup memasukan username dan password VPN dan langsung terkoneksi. Sayangnya, aplikasi FortiClient hanya tersedia di Windows dan MacOS saja. Bagi pengguna GNU/Linux hanya disediakan versi CLI nya saja, dan penggunaannya cukup rumit. Untungnya salah seorang developer ada yang berinisiatif membuat GUI nya, yakni OpenFortiGUI.

Read more “Memasang FortiClient di Ubuntu 18.04 LTS”

Memasang Ruby Terbaru di Ubuntu 16.04 LTS

Hampir seluruh distribusi GNU/Linux pasti menyediakan paket untuk bahasa pemrograman ruby. Perbedaannya hanya terletak pada versi ruby yang disediakan oleh masing-masing repositori. Umumnya, distro yang memiliki masa dukungan panjang (long term support), paket yang terdapat didalamnya cendurung lebih lawas dari sumber aslinya (upstream), dikarenakan mereka memegang teguh prinsip stabilitas. Dengan demikian, jika kita ingin menggunakan aplikasi terbaru perlu dikompilasi terlebih dahulu dari sumber aslinya atau mungkin menggunakan repostori non resmi (unofficial).

Read more “Memasang Ruby Terbaru di Ubuntu 16.04 LTS”